Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans.steps.univariatestats
Class UnivariateStatsData

    java.lang.Object
      org.pentaho.di.trans.step.BaseStepData
          org.pentaho.di.trans.steps.univariatestats.UnivariateStatsData

All Implemented Interfaces:
  StepDataInterface

    public class UnivariateStatsData

extends BaseStepData
implements StepDataInterface

Holds temporary data and has routines for computing derived statistics.

Version:
  1.0
Author:
  Mark Hall (mhall{[at]}pentaho.org)

Nested Class Summary
`static class` | `UnivariateStatsData.FieldIndex` Inner class used to hold operating field index, intermediate data and final results for a stats calculation.

Field Summary

Fields inherited from interface org.pentaho.di.trans.step.StepDataInterface
`STATUS_DISPOSED, STATUS_EMPTY, STATUS_FINISHED, STATUS_HALTED, STATUS_HALTING, STATUS_IDLE, STATUS_INIT, STATUS_PAUSED, STATUS_RUNNING, STATUS_STOPPED`

Constructor Summary
`UnivariateStatsData()` Creates a new `UnivariateStatsData` instance.

Method Summary
`UnivariateStatsData.FieldIndex[]` | `getFieldIndexes()` Get the fieldIndexes
`org.pentaho.di.core.row.RowMetaInterface` | `getInputRowMeta()` Get the meta data for the input format
`org.pentaho.di.core.row.RowMetaInterface` | `getOutputRowMeta()` Get the meta data for the output format
`void` | `setFieldIndexes(UnivariateStatsData.FieldIndex[] fis)` Set the FieldIndexes
`void` | `setInputRowMeta(org.pentaho.di.core.row.RowMetaInterface rmi)` Save the meta data for the input format.
`void` | `setOutputRowMeta(org.pentaho.di.core.row.RowMetaInterface rmi)` Set the meta data for the output format

Methods inherited from class org.pentaho.di.trans.step.BaseStepData
`getStatus, isDisposed, isEmpty, isFinished, isIdle, isInitialising, isRunning, isStopped, setStatus`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.pentaho.di.trans.step.StepDataInterface
`getStatus, isDisposed, isEmpty, isFinished, isIdle, isInitialising, isRunning, setStatus`

Constructor Detail

### UnivariateStatsData

    public UnivariateStatsData()

  Creates a new `UnivariateStatsData` instance.

Method Detail

### setFieldIndexes

    public void setFieldIndexes(UnivariateStatsData.FieldIndex[] fis)

  Set the FieldIndexes

  Parameters:
    `fis` - a `FieldIndex[]` value

### getFieldIndexes

    public UnivariateStatsData.FieldIndex[] getFieldIndexes()

  Get the fieldIndexes

  Returns:
    a `FieldIndex[]` value

### getInputRowMeta

    public org.pentaho.di.core.row.RowMetaInterface getInputRowMeta()

  Get the meta data for the input format

  Returns:
    a `RowMetaInterface` value

### setInputRowMeta

    public void setInputRowMeta(org.pentaho.di.core.row.RowMetaInterface rmi)

  Save the meta data for the input format. (I'm not sure that this is really needed)

  Parameters:
    `rmi` - a `RowMetaInterface` value

### getOutputRowMeta

    public org.pentaho.di.core.row.RowMetaInterface getOutputRowMeta()

  Get the meta data for the output format

  Returns:
    a `RowMetaInterface` value

### setOutputRowMeta

    public void setOutputRowMeta(org.pentaho.di.core.row.RowMetaInterface rmi)

  Set the meta data for the output format

  Parameters:
    `rmi` - a `RowMetaInterface` value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD